<template>
  <div class="main-content m20">
    <!--头部-查询-->
    <div class="content-header">
      <div class="body search-body">
        <el-row style="margin-bottom:10px">
          <el-col :span="10">
            <el-row>
              <label class="label-name_1">受理编号：</label>
              <div class="search-input-box_1">
                <el-input v-model="searchForm.acceptno" clearable type="text" class="search-input" placeholder="请输入受理编号" @keyup.enter.native="search" />
              </div>
            </el-row>
          </el-col>
          <el-col :span="14">
            <el-row>
              <label class="label-name_2">名称(精确)：</label>
              <div class="search-input-box_2">
                <el-input v-model="searchForm.searchName" clearable type="text" class="search-input" placeholder="请输入名称（精确）" @keyup.enter.native="search" />
              </div>
            </el-row>
          </el-col>
        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="10">
            <el-row>
              <label class="label-name_3">业务类型：</label>
              <el-select
                v-model="searchForm.bustype"
                clearable
                class="custom"
                placeholder="请选择"
              >
                <el-option
                  v-for="item in bustypeOptions"
                  :key="item.label"
                  :label="item.label"
                  :value="item.value"
                />
                <!--<el-cascader
                v-model="searchForm.bustypeAndCurrentNode"
                style="margin-top:-5px"
                class="custom"
                :options="bustypeOptions"
                :props="{ checkStrictly: true }"
                clearable
                filterable
              />-->
              </el-select>
            </el-row>
          </el-col>
          <el-col :span="14">
            <el-row class="mb10">
              <label class="label-name_u">统一社会信用代码/注册号：</label>
              <div class="search-input-box_u">
                <el-input v-model="searchForm.UNISCIDORREGNO" clearable type="text" class="search-input" placeholder="请输入统一码/注册号" @keyup.enter.native="search" />
              </div>
            </el-row>
          </el-col>
          <!--          <el-col :span="3">-->
          <!--            <div class="btn-box">-->
          <!--              <el-button size="mini" type="primary" @click="search">查询</el-button>-->
          <!--              <el-button size="mini" @click="searchForm.acceptno = '';searchForm.searchName='';searchForm.reportYear='';searchForm.bustype='';search.bustypeAndCurrentNode = '';">重置</el-button>-->
          <!--            </div>-->
          <!--          </el-col>-->
        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="10">
            <label class="label-name_3">业务状态：</label>
            <el-select v-model="searchForm.busStatus" clearable size="mini" class="custom" placeholder="请选择">
              <el-option
                v-for="item in busStatusOptions"
                :key="item.label"
                :label="item.label"
                :value="item.value"
              />
            </el-select>
          </el-col>
          <el-col :span="14">
            <el-row>
              <label class="label-name_2">受理时间：</label> <!-- value-format="yyyy-MM-dd" 指定日期发送格式  -->
              <el-date-picker
                v-model="searchForm.createDate"
                size="mini"
                value-format="yyyy-MM-dd"
                type="daterange"
                range-separator="至"
                start-placeholder="开始日期"
                end-placeholder="结束日期"
              />
            </el-row>
          </el-col>
        </el-row>
        <el-col :span="6" :offset="1">
          <div class="btn-box" style="font-size: 14px">
            <!-- <span v-if="!showMore" style="margin-right:20px;color:#409EFF;cursor:pointer" @click="showMoreCriteria">
              展开<i class="el-icon-d-arrow-right" />
            </span>
            <span v-if="showMore" style="margin-right:20px;color:#409EFF;cursor:pointer" @click="showMoreCriteria">
              <i class="el-icon-d-arrow-left" />隐藏
            </span> -->
            <el-button type="primary" size="mini" @click="search" :loading="loading">查询</el-button>
            <el-button size="mini" @click="searchForm.createDate=''; searchForm.busStatus=''; searchForm.acceptno = '';searchForm.searchName='';searchForm.reportYear='';searchForm.bustype='';searchForm.UNISCIDORREGNO = '';searchForm.bustypeAndCurrentNode = '';">重置</el-button>
          </div>
        </el-col>
      </div>
    </div>
    <!--body-查询结果-->
    <div class="content-body">
      <!-- <div class="header">
        <span class="title">查询业务</span>
      </div> -->
      <div class="body">
        <el-table
          ref="multipleTable"
          v-loading="loading"
          :row-class-name="tableRowClassName"
          :header-cell-style="{background:'#8cc3fb',color:'#fff'}"
          :data="tableData"
          tooltip-effect="dark"
          style="width: 95%;margin:0 auto;"
          :fit="true"
          @selection-change="handleSelectionChange"
        >
          <!-- <el-table-column type="selection" min-width="30" align="center" /> -->
          <el-table-column prop="index" label="序号" min-width="30" align="center" />
          <el-table-column prop="acceptno" label="受理编号" min-width="90" align="left" />
          <el-table-column prop="busname" :show-overflow-tooltip="true" label="业务名称" min-width="120" align="left" />
          <el-table-column prop="busTypeName" label="业务类型" min-width="100" align="left" />
          <el-table-column prop="busStatusName" label="业务状态" min-width="60" align="left" />
          <el-table-column prop="signloginname" label="接收人" min-width="50" align="left" />
          <el-table-column prop="createTime" label="受理时间" min-width="60" align="left" :formatter="dateFormat" />
          <el-table-column prop="sendertime" label="发送时间" min-width="80" align="left" :formatter="dateFormat1" />
          <el-table-column prop="sendername" label="发送人" min-width="50" align="left" />
          <el-table-column label="操作" min-width="120" align="left">
            <template slot-scope="scope">
              <el-button type="primary" size="mini" @click="showInfo(scope.row)">查看</el-button>
              <el-button v-if="tableData[scope.$index].busstatus == 2 && ('5,6,7,11,12,13,14,15,16,17,71,72,73,55'.indexOf(scope.row.bustype) != -1) && (scope.row.currentNodeOrBizStatus!=='overNullify' && scope.row.currentNodeOrBizStatus!=='endExamineFail' && scope.row.currentNodeOrBizStatus!=='overFinish' )" type="primary" size="mini" @click="gotoPrint(scope.row)">打印</el-button>
              <!-- 列入严重违法的行政处罚类型第一轮审批后可以打印上级审批表-->
              <el-button v-if="scope.row.isPrint==='1'" type="primary" size="mini" @click="gotoPrint(scope.row)">打印</el-button>
              <!-- 列入严重违法的行政处罚类型归档前也可以打印-->
              <el-button v-if="scope.row.bustype==='15' && scope.row.currentNodeOrBizStatus === 'examineSuccess'" type="primary" size="mini" @click="gotoPrint(scope.row)">打印</el-button>
              <el-button v-if="tableData[scope.$index].currentNodeOrBizStatus == 'endSerIllegal' && tableData[scope.$index].bustype === '33'" type="primary" size="mini" @click="gotoPrintRepairDec(scope.row)">打印</el-button>
              <el-button v-if="tableData[scope.$index].busstatus != 2 && tableData[scope.$index].isPassDissentApply" type="primary" size="mini" @click="gotoPrintNotice(scope.row)">打印</el-button>
              <!-- 撤销案件登记 -->
              <el-button v-if="scope.row.bustype==='31'" type="primary" size="mini" @click="getStepsEvent(scope.row)">现场核查进度</el-button>
            </template>
          </el-table-column>
        </el-table>
        <div class="page-box">
          <el-pagination
            :disabled="loading"
            :page-size="pageParam.pageSize"
            :total="pageParam.total"
            :current-page="pageParam.curPage"
            :page-sizes="[10, 20, 30, 40,50,100,200]"
            layout="slot,total, sizes, prev, pager, next, jumper"
            @size-change="pageSizeChange"
            @current-change="pageIndexChange"
          >
            <!-- <batchFunction :options="options" style="float:left" /> -->
            <span>
              第 {{ pageParam.curPage }} 页 /
              共 {{ (pageParam.total !== 0 ? parseInt((pageParam.total + pageParam.pageSize - 1)/pageParam.pageSize) : 1) }} 页
            </span>
          </el-pagination>
        </div>
      </div>
    </div>

    <!-- 步骤条 -->
    <el-dialog width="60vw" :close-on-click-modal="false" :visible.sync="showFraudCheck" size="mid" title="现场核查进度">
      <div style="height: 300px;">
        <el-steps direction="vertical" :active="fraudActive" finish-status="success">
          <el-step title="信用科指派市场监督管理所" />
          <el-step title="市场监督管理所指派监管人员" />
          <el-step title="现场核查中" />
          <el-step title="已完成">
            <div v-show="fraudActive === '4'" slot="description">
              （<el-link type="primary" @click="dynamicSupervisionEvent">检查结果</el-link>）
            </div>
          </el-step>
        </el-steps>
      </div>
    </el-dialog>

    <!-- 动态监管检查情况 -->
    <el-dialog
      :visible.sync="inputDialog.visible"
      title="检查情况"
      width="80vw"
      :append-to-body="true"
      :modal-append-to-body="true"
    >
      <EasyForm
        ref="inputDialog"
        v-model="inputDialog.formData"
        v-loading="inputDialog.loading"
        :fields="dynamicSupervisionFields"
        :form-config="inputDialog.config"
        :buttons="inputDialog.buttons"
        @cancel="inputDialog.visible = false"
      >
        <div slot="actualScope" slot-scope="scope" style="display: flex;">
          <el-input v-model="scope.formData.actualScope" disabled style="margin-right: 10px" />
          <el-button type="primary">选择</el-button>
        </div>
        <div slot="opinion" slot-scope="scope">
          <el-input
            v-model="scope.formData.opinion"
            type="textarea"
            :rows="2"
          />
        </div>
      </EasyForm>
    </el-dialog>
  </div>
</template>

<script>
import { finishTaskUnionPage } from '@/api/task'
import { getSteps } from '@/api/personate'
import { isPassDissentApply } from '@/api/abnormal'
import { getCreditRepairDecision } from '@/api/writs'
import { isMenHu } from '@/utils/utils'
import { tSUsualInspectListFile } from '@/api/market'
import { getUsualInspectInfo } from '@/api/market'
import EasyForm from '@/components/EasyForm'
import dynamicSupervisionBase from '@/views/market/dynamicsupervision/index'
export default {
  components: {
    EasyForm
  },
  mixins: [dynamicSupervisionBase],
  data() {
    return {
      user: JSON.parse(sessionStorage.getItem('user')),
      showMore: false,
      searchForm: {
        createDate: '',
        UNISCIDORREGNO: '',
        acceptno: '',
        searchName: '',
        bustype: '',
        busStatus: ''
      },
      loading: false,
      tableData: [],
      busStatusOptions: [{
        value: '1',
        label: '待受理'
      }, {
        value: '2',
        label: '待审核'
      }, {
        value: '3',
        label: '待审批'
      }, {
        value: '4',
        label: '审批通过'
      }, {
        value: '5',
        label: '审批不通过'
      }, {
        value: '6',
        label: '材料补正'
      }, {
        value: '7',
        label: '作废办结'
      }],
      bustypeOptions: [{
        value: '7',
        label: '企业经营异常名录信用修复'
        //   children: [
        //     { value: 'endExptlist', label: '审批通过' },
        //     { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '12',
        label: '个体户经营异常状态信用修复'
        // children: [
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '14',
        label: '农专社经营异常名录信用修复'
        // children: [
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '33',
        label: '严重违法信用修复'
        // children: [
        //   { value: 'serIllegalEnter', label: '待受理' },
        //   { value: 'handleSerIllegal', label: '待审核' },
        //   { value: 'approveSerIllegal', label: '待审批' },
        //   { value: 'endSerIllegal', label: '审批通过' },
        //   { value: 'overSerIllegal', label: '审批不通过' }
        // ]
      }, {
        value: '5',
        label: '企业经营异常名录列入'
        // children: [
        //   { value: 'exptlistEnter', label: '待受理' },
        //   { value: 'clueReturn', label: '线索回退' },
        //   { value: 'handleExptlist', label: '待审核' },
        //   { value: 'approvelist', label: '待审批' },
        //   { value: 'overNullify', label: '作废' },
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '11',
        label: '个体户经营异常状态标记'
        // children: [
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '13',
        label: '农专社经营异常名录列入'
        // children: [
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        value: '6',
        label: '企业经营异常名录异议'
        // children: [
        //   { value: 'noAccept', label: '不予受理' },
        //   { value: 'endDissent', label: '审批通过' },
        //   { value: 'overDissent', label: '审批不通过' }]
      }, {
        value: '55',
        label: '严重违法失信名单拟列入'/*,
          children: [
            { value: 'serIllegalEnter', label: '待受理' },
            { value: 'handleSerIllegal', label: '待审核' },
            { value: 'approveSerIllegal', label: '待审批' }]*/
      }, {
        value: '15',
        label: '严重违法失信名单列入'
        // children: [
        //   { value: 'endSerIllegal', label: '审批通过' },
        //   { value: 'overSerIllegal', label: '审批不通过' }]
      }, {
        value: '16',
        label: '严重违法失信名单异议'
        // children: [
        //   { value: 'noAccept', label: '不予受理' },
        //   { value: 'endDissent', label: '审批通过' },
        //   { value: 'overDissent', label: '审批不通过' }]
      }, {
        value: '51',
        label: '批量吊销'
        // children: [
        //   // { value: '0', label: '名单导入' },
        //   { value: '1', label: '立案审批-待受理' },
        //   { value: '2', label: '立案审批-待审核' },
        //   { value: '3', label: '立案审批-待审批' },
        //   { value: '4', label: '调查与听证-待受理' },
        //   // { value: '5', label: '调查-待审核' },
        //   // { value: '6', label: '调查-待审批' },
        //   // { value: '7', label: '听证告知-待受理' },
        //   { value: '8', label: '调查与听证-待审核' },
        //   { value: '24', label: '调查与听证-法规部门分派' },
        //   { value: '25', label: '调查与听证-法规部门经办' },
        //   { value: '26', label: '调查与听证-法规部门审核' },
        //   { value: '9', label: '调查与听证-待审批' },
        //   { value: '10', label: '行政处罚决定-待受理' },
        //   { value: '11', label: '行政处罚决定-待审核' },
        //   { value: '27', label: '行政处罚决定-法规部门分派' },
        //   { value: '28', label: '行政处罚决定-法规部门经办' },
        //   { value: '29', label: '行政处罚决定-法规部门审核' },
        //   { value: '13', label: '行政处罚决定-待审批' },
        //   { value: '14', label: '归档' },
        //   // { value: '15', label: '送达-待审核' },
        //   // { value: '16', label: '送达-待审批' },
        //   { value: 'noRegister', label: '案件终结' },
        //   { value: 'endRevoke', label: '审批通过' },
        //   { value: 'overRevoke', label: '审批不通过' }]
      }, {
        value: '61',
        label: '联合惩戒锁定'
        // children: [
        //   { value: 'endPunish', label: '审批通过' },
        //   { value: 'overPunish', label: '审批不通过' }]
      }, {
        value: '62',
        label: '联合惩戒解锁'
        // children: [
        //   { value: 'endPunish', label: '审批通过' },
        //   { value: 'overPunish', label: '审批不通过' }]
      }, {
        value: '31',
        label: '撤销登记案件'
        // children: [
        //   { value: 'startAccept', label: '登记-待受理' },
        //   { value: 'handleCancel', label: '登记-待审核' },
        //   { value: 'approvalCancel', label: '登记-待审批' },
        //   { value: 'cancelShow', label: '公示中' },
        //   { value: 'caseEnter', label: '结果录入-待受理' },
        //   { value: 'handleCase', label: '结果录入-待审核' },
        //   { value: 'approvalCase', label: '结果录入-待审批' },
        //   { value: 'endCase', label: '审批通过' },
        //   { value: 'overCase', label: '审批不通过' }]
      }, {
        value: '40',
        label: '列异勘误'
        // children: [
        //   { value: 'feedbackEnter', label: '待受理' },
        //   { value: 'handleFeedback', label: '待审核' },
        //   { value: 'approvelist', label: '待审批' },
        //   { value: 'endFeedback', label: '审批通过' },
        //   { value: 'overFeedback', label: '审批不通过' }]
      }, {
        value: '41',
        label: '列严勘误'
        // children: [
        //   { value: 'feedbackEnter', label: '待受理' },
        //   { value: 'handleFeedback', label: '待审核' },
        //   { value: 'approvelist', label: '待审批' },
        //   { value: 'endFeedback', label: '审批通过' },
        //   { value: 'overFeedback', label: '审批不通过' }]
      } /* {
        // value: '71',
        value: '5',
        label: '企业地址批量列入'
        // ,
        // children: [
        //   { value: 'exptlistEnter', label: '待受理' },
        //   { value: 'handleExptlist', label: '待审核' },
        //   { value: 'approvelist', label: '待审批' },
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }, {
        // value: '72',
        value: '72',
        label: '个体户地址批量列入'
        // ,
        // children: [
        //   { value: 'exptlistEnter', label: '待受理' },
        //   { value: 'handleExptlist', label: '待审核' },
        //   { value: 'approvelist', label: '待审批' },
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      },*/ /* {
        // value: '73',
        value: '13',
        label: '农合地址批量列入'
        // children: [
        //   { value: 'exptlistEnter', label: '待受理' },
        //   { value: 'handleExptlist', label: '待审核' },
      //   { value: 'approvelist', label: '待审批' },
        //   { value: 'endExptlist', label: '审批通过' },
        //   { value: 'overExptlist', label: '审批不通过' }]
      }*/
        // {
        //   value: '17',
        //   label: '严重违法失信移出',
        //   children: [
        //     { value: 'endSerIllegal', label: '审批通过' },
        //     { value: 'overSerIllegal', label: '审批不通过' }]
        // },
      /* {
        value: '52',
        label: '撤销'
        // children: [
        //   { value: 'revCancelEnter', label: '待受理' },
        //   { value: 'handleRevCancel', label: '待审核' },
        //   { value: 'approveRevCancel', label: '待审批' },
        //   { value: 'endRevCancel', label: '审批通过' },
        //   { value: 'overRevCancel', label: '审批不通过' }]
      }, {
        value: '53',
        label: '复议'
        // children: [
        //   { value: 'revCancelEnter', label: '待受理' },
        //   { value: 'handleRevCancel', label: '待审核' },
        //   { value: 'approveRevCancel', label: '待审批' },
        //   { value: 'endRevCancel', label: '审批通过' },
        //   { value: 'overRevCancel', label: '审批不通过' }
        // ]
      }, {
        value: '54',
        label: '诉讼'
        // children: [
        //   { value: 'revCancelEnter', label: '待受理' },
        //   { value: 'handleRevCancel', label: '待审核' },
        //   { value: 'approveRevCancel', label: '待审批' },
        //   { value: 'endRevCancel', label: '审批通过' },
        //   { value: 'overRevCancel', label: '审批不通过' }
        // ]
      },*/
      // ,{
      //   value: '26',
      //   label: '拍卖会备案-拍卖前备案'
      // },{
      //   value: '27',
      //   label: '拍卖会备案-拍卖后备案'
      // }
      ],
      showFraudCheck: false,
      fraudActive: 0,
      inspectId: 0,
      inputDialog: {
        config: {
          readOnly: true
        }
      },
      pageParam: {
        customParamMap: {},
        curPage: 1,
        total: 0,
        pageSize: 10
      },
      exportQueryData:{}
    }
  },
  mounted() {
    //this.loadPageNofinish()
    this.pageParam.customParamMap = this.searchForm
    this.pageParam.customParamMap.bustype = '7'
    this.pageParam.customParamMap.finished = 'finished'
    this.exportQueryData = null
    this.pageParam.curPage = 1
    this.loadPage()
  },
  methods: {
    showMoreCriteria() {
      this.showMore = !this.showMore
    },
    gotoPrintRepairDec(row) {
      getCreditRepairDecision(row.bizseqid).then(res => {
        if (res.code === 0) {
          window.open(`${process.env.VUE_APP_DOWNLOAD_URL}/` + res.data, '_blank')
        } else {
          this.$message.error(res.msg)
        }
      })
    },
    tableRowClassName({ row, rowIndex }) {
      if (rowIndex % 2 === 1) {
        return 'warning-row'
      }
    },
    dateFormat(row) {
      if (this.$util.isEmpty(row.createTime)) return ''
      return this.$util.formatDate.format(new Date(Date.parse(row.createTime)), 'yyyy-MM-dd')
    },
    dateFormat1(row) {
      if (this.$util.isEmpty(row.sendertime)) return ''
      return this.$util.formatDate.format(new Date(Date.parse(row.sendertime)), 'yyyy-MM-dd hh:mm:ss')
    },
    // 公示提示
    tip() {
      return this.$message.error('该主体公示中')
    },
    gotoPrintNotice(row) {
      this.$router.push({ path: '/abnormal/company/dissent/ApplyNoticePrint', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
    },

    // 启动待办
    startTask() {
      if (this.selection.length === 0) return this.$message.error('请至少选择一个企业以开启待办')
      const batch = 'companyTask' + new Date().getTime()
      sessionStorage.setItem(batch, JSON.stringify(this.selection))
      this.$router.push({ path: '/abnormal/company/create', query: { batch: batch }})
      // const { href } = this.$router.resolve({ path: '/abnormal/company/create', query: { batch: batch }})
      // window.open(href, '_blank')
    },
    // 搜索
    search() {
      console.log(this.searchForm)
      console.log(this.pageParam.customParamMap)
      this.pageParam.customParamMap = this.searchForm
            // 判断是否填写了条件
      let flag = false
      // obj的遍历
      Object.keys(this.pageParam.customParamMap).forEach(key => {
        if (key === 'userId' || key === 'finished'){
        } else if (this.pageParam.customParamMap[key] !== '' && this.pageParam.customParamMap[key] !== null) {
            flag = true
          }
      })
      if (!flag) {
        this.$message({
          message: '请至少填写一个查询条件！',
          type: 'warning'
        })
        return
      }
      this.exportQueryData = null
      this.pageParam.curPage = 1
      this.loadPage()
    },
    // 分页多选插件回调
    removeCallback(index, row) {
      this.$refs.multipleTable.toggleRowSelection(row, false)
    },
    // 全选按钮事件
    selectAll() {
      const table = this.$refs.multipleTable
      for (const i in table.data) {
        const each = table.data[i]
        table.toggleRowSelection(each, true)
      }
    },
    // 选项变更事件
    handleSelectionChange(selectData) {
      const cancel = []
      if (selectData.length !== this.tableData.length) {
        // 找出没有选中的内容
        this.tableData.forEach(each => {
          for (const i in selectData) {
            const atom = selectData[i]
            if (atom.pripid === each.pripid) {
              return
            }
          }
          cancel.push(each)
        })
      }
      // 取消选中的内容
      for (const i in cancel) {
        const each = cancel[i]
        let index
        for (const j in this.selection) {
          const select = this.selection[j]
          if (select.pripid === each.pripid) {
            index = parseInt(j)
            break
          }
        }
        if (index !== undefined) {
          this.selection.splice(index, 1)
        }
      }
      // 增加选中内容
      for (const i in selectData) {
        const each = selectData[i]
        let exist = false
        for (const j in this.selection) {
          const select = this.selection[j]
          if (select.pripid === each.pripid) {
            exist = true
            break
          }
        }
        if (!exist) {
          this.selection.push(each)
        }
      }
    },
    // 当前分页改变
    pageIndexChange(curPage) {
      this.pageParam.curPage = curPage
      this.loadPage()
    },
    // 分页大小改变
    pageSizeChange(pageSize) {
      this.pageParam.pageSize = pageSize
      this.loadPage()
    },
    // 默认显示不包括已结束流程
    loadPageNofinish() {
      // 先查缓存
      const pageParam = sessionStorage.getItem('pageParam-finish')
      const tableData = sessionStorage.getItem('tableData-finish')
      if (pageParam && tableData) {
        this.pageParam = JSON.parse(pageParam)
        this.searchForm = this.pageParam.customParamMap
        this.tableData = JSON.parse(tableData)
        // 不再往下查询
        return
      }
      if (this.loading) return
      this.loading = true
      this.pageParam.customParamMap.userId = this.user.primaryKey
      this.pageParam.customParamMap.finished = ''
      finishTaskUnionPage(this.pageParam).then(res => {
        this.loading = false
        const list = []
        let i = 1
        const pageStart = (this.pageParam.curPage - 1) * this.pageParam.pageSize
        res.data.records.forEach(each => {
          each.index = pageStart + i++
          each.busTypeName = this.$util.getTaskBusinessTypeName(each.bustype)
          each.busStatusName = this.$util.getTaskNodeName(each.currentNodeOrBizStatus)
          // 异议类型判断是否打印受理/不受理通知书
          // if (each.bustype === '6' && each.lastNode === 'handleDissentAccept') {
          //   each.busStatusName = '不予受理'
          // }
          each.isPassDissentApply = false
          if (each.bustype === '6') {
            isPassDissentApply(each.bustype, each.bizseqid).then(res => {
              each.isPassDissentApply = res.data.isPass
              each.acceptstat = res.data.acceptstat
              // 若通过受理审批环节且不同意 当前业务状态：不予受理
              if (each.isPassDissentApply === true && each.acceptstat === '0') {
                each.busStatusName = '不予受理'
              }
            })
          }
          list.push(each)
        })
        this.tableData = list
        this.pageParam.total = res.data.total
      })
    },
    // 加载分页
    loadPage() {
      if (this.loading) return
      this.loading = true
      this.pageParam.customParamMap.userId = this.user.primaryKey
      this.pageParam.customParamMap.finished = 'finished'
      let data = {}
      if(this.exportQueryData && JSON.stringify(this.exportQueryData) != "{}"){
        this.exportQueryData.curPage = this.pageParam.curPage
        this.exportQueryData.pageSize = this.pageParam.pageSize
        data = JSON.parse(JSON.stringify(this.exportQueryData))
      }else{
        data = JSON.parse(JSON.stringify(this.pageParam))
      }
      finishTaskUnionPage(data).then(res => {
        this.loading = false
        this.exportQueryData = JSON.parse(JSON.stringify(data))
        console.log(this.exportQueryData)
        const list = []
        let i = 1
        const pageStart = (this.pageParam.curPage - 1) * this.pageParam.pageSize
        res.data.records.forEach(each => {
          each.index = pageStart + i++
          each.busTypeName = this.$util.getTaskBusinessTypeName(each.bustype)
          each.busStatusName = this.$util.getTaskNodeName(each.currentNodeOrBizStatus)
          console.log('currentNodeOrBizStatus' + each.busStatusName)
          // 异议类型判断是否打印受理/不受理通知书
          // if (each.bustype === '6' && each.lastNode === 'handleDissentAccept') {
          //   each.busStatusName = '不予受理'
          // }
          each.isPassDissentApply = false
          if (each.bustype === '6') {
            isPassDissentApply(each.bustype, each.bizseqid).then(res => {
              each.isPassDissentApply = res.data.isPass
              each.acceptstat = res.data.acceptstat
              // 若通过受理审批环节且不同意 当前业务状态：不予受理
              if (each.isPassDissentApply === true && each.acceptstat === '0') {
                each.busStatusName = '不予受理'
              }
            })
          }
          list.push(each)
        })
        this.tableData = list
        this.pageParam.total = res.data.total
        sessionStorage.setItem('pageParam-finish', JSON.stringify(this.pageParam))
        sessionStorage.setItem('tableData-finish', JSON.stringify(this.tableData))
      })
    },
    jumpUrl(data) {
      // 如果是信创环境直接跳转
      if (isMenHu()) {
        console.log(data)
        window.location.href = data
      } else {
        window.parent.postMessage(data, '*')
      }
    },
    // 查看详情跳转
    showInfo(row) {
      switch (row.bustype) {
        // 异常名录列入
        case '71':
        case '5': this.$router.push({ path: '/abnormal/company/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 异常名录异议
        case '6': if (row.lastNode === 'acceptDissentEnter' || row.lastNode === 'handleDissentAccept') {
          this.$router.push({ path: '/abnormal/company/dissent/applyInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
        } else {
          this.$router.push({ path: '/abnormal/company/dissent/approveInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
        }
          break
        // 异常名录移出
        // case '7': this.$router.push({ path: '/abnormal/company/remove/RemoveExamine', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
        case '7': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, type: 'company' }})
          break
        // 个体工商户标记
        case '72':
        case '11': this.$router.push({ path: '/abnormal/individual/mark/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 个体工商户恢复
        case '12': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, type: 'individual' }})
          break
        // 农专社经营异常名录列入
        case '73':
        case '13': this.$router.push({ path: '/abnormal/agriculture/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 农专社经营异常名录信用修复
        case '14': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, type: 'farmer' }})
          break
        // 冒用他人身份
        case '31': {
          // const day = this.$util.DateDiff(row.signtime)
          // if (row.currentNodeOrBizStatus === 'cancelShow' && day < 46) return this.$message.warning('主体公示中,剩' + (45 - day) + '天期满才可操作')
          this.$router.push({ path: '/cancel/' + (row.currentNodeOrBizStatus === 'startAccept' ? 'cancelTodo' : row.currentNodeOrBizStatus === 'handleCancel' ? 'cancelCheck' : row.currentNodeOrBizStatus === 'approvalCancel' ? 'cancelPass' : row.currentNodeOrBizStatus === 'resultAddEnter' || row.currentNodeOrBizStatus === 'cancelShow' ? 'resultAccept' : row.currentNodeOrBizStatus === 'handleResultAdd' ? 'resultReview' : 'resultExamine'), query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
          break
        }
        // 撤销案件-录入处理结果
        case '81': {
          this.$router.push({ path: '/cancel/easyTFraud/easyResultApproval', query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
          break
        }
        // 数据勘误
        // 列异勘误
        case '40': this.$router.push({ path: '/abnormal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
          break
        // 列严勘误
        case '41': this.$router.push({ path: '/illegal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
          break
        // 批量吊销
        case '51':
          const bizStatus = row.currentNodeOrBizStatus

          switch (row.currentNodeOrBizStatus) {
            // active_top: 1 立案审批环节
            case '1': this.$router.push({ path: '/revoke/register/accept', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '2': this.$router.push({ path: '/revoke/register/review', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '3': this.$router.push({ path: '/revoke/register/examine', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
              // active_top: 2 调查与听证环节
            case '4': this.$router.push({ path: '/revoke/investigate/accept', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            // case '5': this.$router.push({ path: '/revoke/investigate/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
            //   break
            // case '6': this.$router.push({ path: '/revoke/investigate/examine', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
            //   break
            // case '7': this.$router.push({ path: '/revoke/hearing/accept', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
            //   break
            case '8': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '9': this.$router.push({ path: '/revoke/hearing/examine', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '24': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '25': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '26': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
              // active_top: 4 决定环节
            case '10': this.$router.push({ path: '/revoke/decision/accept', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '11': this.$router.push({ path: '/revoke/decision/review', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '12': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '27': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '28': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '29': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '13': this.$router.push({ path: '/revoke/decision/examine', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
              // active_top: 5 送达与结束环节
            case '14': this.$router.push({ path: '/revoke/send/accept', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '15': this.$router.push({ path: '/revoke/send/review', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '16': this.$router.push({ path: '/revoke/send/examine', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case '22': this.$router.push({ path: '/revoke/noRegister/', query: { bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
            case 'endRevoke':this.$router.push({ path: '/revoke/send/examine', query: { active_top: 6, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
              break
          }
          break
        // 撤销复议诉讼
        case '52':
          this.$router.push({ path: '/revoke/revokeDetail', query: { handleType: '1', currentNode: row.currentNodeOrBizStatus, bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
          break
        // 联合惩戒锁定
        case '61': this.$router.push({ path: '/punish/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 联合惩戒解锁
        case '62': this.$router.push({ path: '/punish/remove/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 信用修复管理-严重违法信用修复
        case '33': {
          const path = '/crss/#/credit/repair/details' + '?bizseq=' + row.bizseqid + '&workflowid=' + row.workflowid + '&currentNode=' + row.currentNodeOrBizStatus + '&tasklistid=' + row.tasklistid
          // this.$router.push({ path: '/credit/repair/' + (row.currentNodeOrBizStatus === 'serIllegalEnter' ? 'accept' : row.currentNodeOrBizStatus === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          console.log(path)
          this.jumpUrl(path)
          break
        }
        // 行政处罚信用修复
        case '27':
          this.$router.push({ path: '/remPunish/accept', query: { bizSeq: row.bizseqid, workflowId: row.workflowid, taskId: row.tasklistid, onlyShow: '1' }})
          break
        // 总局一体化
        case '30': {
          const path = '/gzis/#/annual/dissent/info' + '?bizseq=' + row.bizseqid + '&workflowid=' + row.workflowid + '&currentNode=' + row.currentNodeOrBizStatus + '&tasklistid=' + row.tasklistid
          // this.$router.push({ path: '/credit/repair/' + (row.currentNodeOrBizStatus === 'serIllegalEnter' ? 'accept' : row.currentNodeOrBizStatus === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          console.log(path)
          this.jumpUrl(path)
          break
        }
        // 严重违法列入
        case '15': this.$router.push({ path: '/illegal/listed/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
          // 严重违法拟列入
        case '55': this.$router.push({ path: '/illegal/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
      }
    },
    // 打印跳转
    gotoPrint(row) {
      switch (row.bustype) {
        // 异常名录列入
        case '71':
        case '5': this.$router.push({ path: '/abnormal/company/inclusion/print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 异常名录异议
        case '6': this.$router.push({ path: '/abnormal/company/dissent/Print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
          break
        // 异常名录移出
        case '7': this.$router.push({ path: '/abnormal/company/remove/Print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 个体工商户标记
        case '72':
        case '11': this.$router.push({ path: '/abnormal/individual/mark/print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 个体工商户恢复
        case '12': this.$router.push({ path: '/abnormal/company/remove/Print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 农专社经营异常名录列入
        case '73':
        case '13': this.$router.push({ path: '/abnormal/agriculture/inclusion/print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 农专社经营异常名录信用修复
        case '14': this.$router.push({ path: '/abnormal/company/remove/Print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 严重违法名录拟列入
        case '55':
          this.$router.push({ path: '/illegal/printEntrance', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, bustype: row.bustype, currentNodeOrBizStatus: row.currentNodeOrBizStatus, isPrint: row.isPrint }})
          break
        // 严重违法名录列入
        case '15':
        // 严重违法名录异议
        case '16':
        // 严重违法名录移出
        case '17':
          this.$router.push({ path: '/illegal/printEntrance', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, bustype: row.bustype, currentNodeOrBizStatus: row.currentNodeOrBizStatus, isPrint: row.isPrint }})
          break
        // 冒用他人身份
        case '31': this.$router.push({ path: '/cancel/print', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
      }
    },
    // 跳转处理
    gotoHandle(row) {
      switch (row.bustype) {
        // 企业经营异常企业列入
        case '5': this.$router.push({ path: '/abnormal/company/inclusion/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'accept' : row.parameterMap.currentNode === 'handleExptlist' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 企业经营异常企业异议
        case '6': this.$router.push({ path: '/abnormal/company/dissent/' + (row.parameterMap.currentNode === 'acceptDissentEnter' ? 'ApplyAccept' : row.parameterMap.currentNode === 'handleDissentAccept' ? 'ApplyExamine' : row.parameterMap.currentNode === 'approveDissent' ? 'ApprovalAccept' : 'ApprovalExamine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 企业经营异常企业移出
        case '7': this.$router.push({ path: '/abnormal/company/remove/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'RemoveAccept' : row.parameterMap.currentNode === 'handleExptlist' ? 'RemoveReview' : 'RemoveExamine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 个体工商户标记
        case '11': this.$router.push({ path: '/abnormal/individual/mark/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'accept' : row.parameterMap.currentNode === 'handleExptlist' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 个体工商户恢复
        case '12': this.$router.push({ path: '/abnormal/individual/recover/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'accept' : row.parameterMap.currentNode === 'handleExptlist' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 农专社经营异常名录列入
        case '13': this.$router.push({ path: '/abnormal/agriculture/inclusion/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'accept' : row.parameterMap.currentNode === 'handleExptlist' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 农专社经营异常名录信用修复
        case '14': this.$router.push({ path: '/abnormal/agriculture/remove/' + (row.parameterMap.currentNode === 'exptlistEnter' ? 'accept' : row.parameterMap.currentNode === 'handleExptlist' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 严重违法名录列入
        case '15':
          this.$router.push({ path: '/illegal/listed/' + (row.parameterMap.currentNode === 'serIllegalEnter' ? 'accept' : row.parameterMap.currentNode === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 严重违法失信名单拟列入
        case '55':
          this.$router.push({ path: '/illegal/inclusion/' + (row.parameterMap.currentNode === 'serIllegalEnter' ? 'accept' : row.parameterMap.currentNode === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 严重违法名录异议
        case '16':
          const page = row.parameterMap.currentNode === 'acceptDissentEnter' ? 'applyAccept' : row.parameterMap.currentNode === 'handleDissentAccept' ? 'applyExamine' : 'approvalExamine'
          this.$router.push({ path: `/illegal/dissent/${page}`, query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 严重违法名录移出
        case '17':
          this.$router.push({ path: '/illegal/remove/' + (row.parameterMap.currentNode === 'serIllegalEnter' ? 'accept' : row.parameterMap.currentNode === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        // 冒用他人身份
        case '31': {
          const day = this.$util.DateDiff(row.signtime)
          if (row.currentNode === 'cancelShow' && day < 46) return this.$message.error('主体公示中,剩' + (45 - day) + '天期满才可操作')
          this.$router.push({ path: '/cancel/' + (row.parameterMap.currentNode === 'startAccept' ? 'cancelTodo' : row.parameterMap.currentNode === 'handleCancel' ? 'cancelCheck' : row.parameterMap.currentNode === 'approvalCancel' ? 'cancelPass' : row.parameterMap.currentNode === 'caseEnter' || row.parameterMap.currentNode === 'cancelShow' ? 'caseAccept' : row.parameterMap.currentNode === 'handleCase' ? 'caseReview' : 'caseExamine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
        }
        // 列异勘误
        case '40':
          this.$router.push({ path: '/abnormal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          break
      }
    },
    getStepsEvent(row) {
      getSteps({ bizSeq: row.bizseqid }).then(res => {
        const { data } = res
        if (data === null) {
          this.$message.success('没有找到现场核查业务')
        } else {
          this.fraudActive = data.status
          this.inspectId = data.inspectId
          this.showFraudCheck = true
        }
      })
    },
    dynamicSupervisionEvent() {
      this.inputDialog.visible = true
      this.inputDialog.loading = true

      getUsualInspectInfo(this.inspectId).then(res => {
        const inspectInfo = res.data

        tSUsualInspectListFile({ id: this.inspectId }).then((res) => {
          const { code, data } = res
          if (code !== 0) {
            throw res
          }
          this.currentId = this.inspectId
          this.inputDialog.formData = {
            ...inspectInfo,
            files: []
          }
          this.$set(this.inputDialog.formData, 'files', data.filter((file) => {
            return file.attachtype === '2'
          }).map((item) => {
            return {
              ...item,
              name: item.filename
            }
          }))
          this.$set(this.inputDialog.formData, 'files0', data.filter((file) => {
            return file.attachtype === '1'
          }).map((item) => {
            return {
              ...item,
              name: item.filename
            }
          }))
        }).finally(() => {
          this.inputDialog.loading = false
        })
      }).finally(() => {
        this.inputDialog.loading = false
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.main-content{
  padding: 10pt;
  background: #fff;
  .content-header{
    background: white;
    .label-name_1 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 180px;
      font-size: $font-size-content-text;
    }
    .search-input-box_1{
      display: inline-block;
      width: calc(100% - 230px);
    }
    .label-name_2 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 210px;
      font-size: $font-size-content-text;
    }
    .search-input-box_2{
      display: inline-block;
      width: calc(65% - 120px);
    }
    .label-name_u {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 210px;
      font-size: 16px;
    }
    .search-input-box_u{
      display: inline-block;
      width: calc(65% - 120px);
    }
    .label-name_3 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 140px;
      font-size: $font-size-content-text;
    }
    .custom{
      width: calc(100% - 150px);
    }
    .search-input{
      cursor: pointer;
    }
    .body{
      padding: 20px 0;
      border-top:none;
      margin-bottom: 40px;
    }
  }
  .content-body{
    background:white
  }
  .header{
    /* height:50PX;
    padding:15PX 10PX; */
    .title{
      font-weight: 600;
      font-size: 1.2rem;
    }
  }
  .page-box{margin:10PX;text-align:right}
  .mb10{
    margin-bottom: 10px;
  }
  .btn-box{
    display: inline-block;
    padding-left: 10px;
  }
}
/deep/.el-input__inner{
  height: 28px;
}
.content-body{
  background: #fff;
  /deep/.el-table .warning-row {
    background: #eaf4fe!important;
  }

}
</style>
